Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.Polyline

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<IVec>
                  igeo.io.IRhino3dm.PointArray
                      igeo.io.IRhino3dm.Polyline

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<IVec>, java.util.Collection<IVec>, java.util.List<IVec>, java.util.RandomAccess

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.Polyline

extends IRhino3dm.PointArray

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`IRhino3dm.Polyline()`
`IRhino3dm.Polyline(int c)`

Method Summary
`boolean` | `isValid()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### IRhino3dm.Polyline

    public IRhino3dm.Polyline()

### IRhino3dm.Polyline

    public IRhino3dm.Polyline(int c)

Method Detail

### isValid

    public boolean isValid()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD